import request from '@/utils/request'

//根据metadataId查询得到元数据方案详情表
export const findList = (params) => {
  return request({
    url: '/point-strategy/v/sourceDestTable/findList',
    method: 'get',
    params
  })
}
//查询归档列名称集合
export const findColumnList = (params) => {
  return request({
    url: '/point-strategy/v/sourceDestTable/findColumnList',
    method: 'get',
    params
  })
}
//保存归档设置按钮
export const saveSour = (data) => {
  return request({
    url: '/point-strategy/v/sourceDestTable/save',
    method: 'post',
    data
  })
}
// 查询要修改的内容列表（添加）
export const selectModifyListAdd = (params) => {
  return request({
    url: '/point-strategy/v/sourceDestTable/selectModifyListAdd',
    method: 'post',
    params
  })
}
//查询要修改的内容列表(编辑)
export const selectModifyListEdit = (params) => {
  return request({
    url: '/point-strategy/v/sourceDestTable/selectModifyListEdit',
    method: 'post',
    params
  })
}
//查询目标表要替换的字段集合
export const selectTableReplaceColumnList = (params) => {
  return request({
    url: '/point-strategy/v/sourceDestTable/selectTableReplaceColumnList',
    method: 'get',
    params
  })
}
//下拉框的接口
export const getClassTreeByClassName = (data) => {
  return request({
    url: '/point-strategy/v/classTree/getClassTreeByClassName',
    method: 'post',
    data
  })
}
//删除
export const deleteSour = (params) => {
  return request({
    url: '/point-strategy/v/sourceDestTable/delete',
    method: 'post',
    params
  })
}
